package service

import (
	"bytes"
	"encoding/xml"
	"log"
	"net/http"
	"shandong_datapush/common"
	"shandong_datapush/config"
	"shandong_datapush/dao"
)

/*
	尾矿库静态数据处理
 */
func WkkBasicDataProcess() {
	client := &http.Client{}
	by, err := xml.Marshal(config.TailPond)
	log.Println("尾矿库静态数据>>>>>>>>>>>>>>>>>>>", string(by))
	common.ErrorPrintln("wkkBasicDataProcess", err)
	req, err := http.NewRequest("POST", "https://www.baidu.com", bytes.NewReader(by))
	client.Do(req)
}


/*
	干滩静态数据处理
 */
func GtStaticDataProcess() {
	gtArrs := dao.GantanStaticData()
	by, err := xml.Marshal(gtArrs)
	common.ErrorPrintln("干滩静态数据格式化失败", err)
	log.Println("干滩静态数据>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>", string(by))
}


/*
	库水位静态数据处理
 */
func KswStaticDataProcess() {
	kswArrs := dao.KushuiweiStaticData()
	by, err := xml.Marshal(kswArrs)
	common.ErrorPrintln("库水位静态数据格式化失败", err)
	log.Println("库水位静态数据>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>", string(by))
}


/*
	浸润线静态数据处理
 */
func JrxStaticDataProcess() {
	jrxArrs := dao.JinrunxianStaticData()
	by, err := xml.Marshal(jrxArrs)
	common.ErrorPrintln("浸润线静态数据格式化失败", err)
	log.Println("浸润线静态数据>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>", string(by))
}

/*
	降雨量静态数据处理
*/
func JylStaticDataProcess() {
	jylArrs := dao.JiangyuliangStaticData()
	by, err := xml.Marshal(jylArrs)
	common.ErrorPrintln("降雨量静态数据格式化失败", err)
	log.Println("降雨量静态数据>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>", string(by))
}

/*
	内部位移静态数据处理
*/
func NbwyStaticDataProcess() {
	nbwyArrs := dao.NeibuweiyiStaticData()
	by, err := xml.Marshal(nbwyArrs)
	common.ErrorPrintln("内部位移静态数据格式化失败", err)
	log.Println("内部位移静态数据>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>", string(by))
}

/*
	表面位移静态数据处理
*/
func BmwyStaticDataProcess() {
	bmwyArrs := dao.BiaomianweiyiStaticData()
	by, err := xml.Marshal(bmwyArrs)
	common.ErrorPrintln("表面位移静态数据格式化失败", err)
	log.Println("表面位移静态数据>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>", string(by))
}